Bug 131269 - New port: net/cclive Lightweight cmdline video extraction utility
New port: net/cclive Lightweight cmdline video extraction utility
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Nicola Vitale
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-01 23:10 UTC by legatvs
Modified: 2009-02-09 17:30 UTC (History)
0 users

See Also:


Attachments
file.shar (2.07 KB, text/plain)
2009-02-01 23:10 UTC, legatvs
no flags Details
cclive.2.shar (3.27 KB, application/octet-stream)
2009-02-07 02:15 UTC, bf2006a
no flags Details
cclive-0.2.0.shar (3.29 KB, application/x-shar)
2009-02-07 14:37 UTC, legatvs
no flags Details
cclive-0.2.0.shar.txt (3.29 KB, text/plain; charset=US-ASCII)
2009-02-07 15:10 UTC, legatvs
no flags Details
cclive-0.2.0.shar (3.29 KB, text/plain)
2009-02-07 16:39 UTC, legatvs
no flags Details
cclive-0.2.0.shar.uu (4.56 KB, application/octet-stream)
2009-02-07 18:12 UTC, legatvs
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description legatvs 2009-02-01 23:10:02 UTC
cclive is a command line video extraction utility similar to clive but focuses
on low requirements. Its features are few and essential. Supports Youtube,
GoogleVideo, Break, Liveleak, Sevenload and EvisorTV.

WWW: http://code.google.com/p/cclive/

Fix: Patch attached with submission follows:
Comment 1 bf2006a 2009-02-07 02:15:27 UTC
I like it, Toni, thanks.  A few suggestions:

--just use LIB_DEPENDS instead of {BUILD,RUN}_DEPENDS
--respect CC, NO_INSTALL_MANPAGES, and INSTALL permissions
--rely on existing MAKE_ENV for some variables, rather than passing them
in explicitly via MAKE_ARGS
--with one file in the packing list, ditch pkg-plist in favor of
PLIST_FILES
--minor grammar nits in pkg-descr

Revised shar attached.


      
Comment 2 legatvs 2009-02-07 14:37:31 UTC
> Revised shar attached.

Great, thanks for the tweaks. Updated to 0.2.0, see the attachment.
Comment 3 Nicola Vitale freebsd_committer 2009-02-07 14:59:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nivit

I will take it.
Comment 4 legatvs 2009-02-07 15:10:57 UTC
Looks like gmail messed up the last shar file. Re-sending.
Comment 5 legatvs 2009-02-07 18:12:10 UTC
bear with me. shar => uuencode.
Comment 6 legatvs 2009-02-07 18:44:55 UTC
begin 644 cclive-0.2.0.shar
M(R!4:&ES(&ES(&$@<VAE;&P@87)C:&EV92X@(%-A=F4@:70@:6X@82!F:6QE
M+"!R96UO=F4@86YY=&AI;F<@8F5F;W)E"B,@=&AI<R!L:6YE+"!A;F0@=&AE
M;B!U;G!A8VL@:70@8GD@96YT97)I;F<@(G-H(&9I;&4B+B`@3F]T92P@:70@
M;6%Y"B,@8W)E871E(&1I<F5C=&]R:65S.R!F:6QE<R!A;F0@9&ER96-T;W)I
M97,@=VEL;"!B92!O=VYE9"!B>2!Y;W4@86YD"B,@:&%V92!D969A=6QT('!E
M<FUI<W-I;VYS+@HC"B,@5&AI<R!A<F-H:79E(&-O;G1A:6YS.@HC"B,)8V-L
M:79E"B,)8V-L:79E+TUA:V5F:6QE"B,)8V-L:79E+W!K9RUD97-C<@HC"6-C
M;&EV92]D:7-T:6YF;PHC"6-C;&EV92]F:6QE<PHC"6-C;&EV92]F:6QE<R]P
M871C:"U-86ME9FEL90HC"F5C:&\@8R`M(&-C;&EV90IM:V1I<B`M<"!C8VQI
M=F4@/B`O9&5V+VYU;&P@,CXF,0IE8VAO('@@+2!C8VQI=F4O36%K969I;&4*
M<V5D("=S+UY8+R\G(#YC8VQI=F4O36%K969I;&4@/#P@)S!A9#!E-#0S8C,Y
M9C1A,&)C9#0P.&%F-38Y8CDT-#DP)PI8(R!0;W)T<R!C;VQL96-T:6]N(&UA
M:V5F:6QE(&9O<CH@("`@8V-L:79E"E@C($1A=&4@8W)E871E9#H@("`@,2!&
M96)R=6%R>2`R,#`Y"E@C(%=H;VTZ("`@("`@("`@("`@5&]N:2!'=6YD;V=D
M=2`\;&5G871V<T!G;6%I;"YC;VT^"E@C"E@C("1&<F5E0E-$)`I8(PI8"EA0
M3U)43D%-13T)8V-L:79E"EA03U)45D524TE/3CT),"XR+C`*6$-!5$5'3U))
M15,]"6YE=`I834%35$527U-)5$53/0DD>TU!4U1%4E]3251%7T=/3T=,15]#
M3T1%?0I8"EA-04E.5$%)3D52/0EL96=A='9S0&=M86EL+F-O;0I80T]-345.
M5#T)3&EG:'1W96EG:'0@8V]M;6%N9"!L:6YE('9I9&5O(&5X=')A8W1I;VX@
M=71I;&ET>0I8"EA,24)?1$5014Y$4ST)8W5R;"XU.B1[4$]25%-$25)]+V9T
M<"]C=7)L"E@*6"YI9FYD968@3D]?24Y35$%,3%]-04Y004=%4PI834%+15]%
M3E8K/0E7251(7TU!3CUY97,*6$U!3C$]"0EC8VQI=F4N,0I834%.0T]-4%)%
M4U-%1#T);F\*6"YE;F1I9@I8"EA54T5?0EI)4#(]"7EE<PI855-%7T=-04M%
M/0EY97,*6`I834%+15]%3E8K/0E6/3$*6%!,25-47T9)3$53/0EB:6XO8V-L
M:79E"E@*6"YI;F-L=61E(#QB<V0N<&]R="YM:SX*,&%D,&4T-#-B,SEF-&$P
M8F-D-#`X868U-CEB.30T.3`*96-H;R!X("T@8V-L:79E+W!K9RUD97-C<@IS
M960@)W,O7E@O+R<@/F-C;&EV92]P:V<M9&5S8W(@/#P@)S<S9F1B.#4S,S`U
M,#$T8CDW,S8R-S1F8C,Q.6$T834Y)PI88V-L:79E(&ES(&$@8V]M;6%N9"!L
M:6YE('9I9&5O(&5X=')A8W1I;VX@=71I;&ET>2!S:6UI;&%R('1O(&-L:79E
M(&)U=`I89F]C=7-E9"!O;B!L;W<@<F5Q=6ER96UE;G1S+B!)=',@9F5A='5R
M97,@87)E(&9E=R!A;F0@97-S96YT:6%L+B!C8VQI=F4*6'-U<'!O<G1S(%EO
M=71U8F4L($=O;V=L959I9&5O+"!"<F5A:RP@3&EV96QE86LL(%-E=F5N;&]A
M9"P@179I<V]R5%8@86YD"EA$86EL>6UO=&EO;BX*6`I85U=7.B!H='1P.B\O
M8V]D92YG;V]G;&4N8V]M+W`O8V-L:79E+PHW,V9D8C@U,S,P-3`Q-&(Y-S,V
M,C<T9F(S,3EA-&$U.0IE8VAO('@@+2!C8VQI=F4O9&ES=&EN9F\*<V5D("=S
M+UY8+R\G(#YC8VQI=F4O9&ES=&EN9F\@/#P@)S,S8S%B9#4V,V9D9#8P-38X
M8S(Y.3!A-C%D9#5D,V%C)PI8340U("AC8VQI=F4M,"XR+C`N=&%R+F)Z,BD@
M/2`Y,#@Q-&0T-&$Q,3!C-&0P-S$Y.#`S-#$P86-B.#<U,`I84TA!,C4V("AC
M8VQI=F4M,"XR+C`N=&%R+F)Z,BD@/2!E8C)B,SDW96-F83!D9C8V.60R-S!A
M-S@V,S=D8F9F83<W.#DU-C%F9#$Q,C<V9F4V.#%B9&5D-6(V,S%E9&5F"EA3
M25I%("AC8VQI=F4M,"XR+C`N=&%R+F)Z,BD@/2`S-C@S,PHS,V,Q8F0U-C-F
M9&0V,#4V.&,R.3DP838Q9&0U9#-A8PIE8VAO(&,@+2!C8VQI=F4O9FEL97,*
M;6MD:7(@+7`@8V-L:79E+V9I;&5S(#X@+V1E=B]N=6QL(#(^)C$*96-H;R!X
M("T@8V-L:79E+V9I;&5S+W!A=&-H+4UA:V5F:6QE"G-E9"`G<R]>6"\O)R`^
M8V-L:79E+V9I;&5S+W!A=&-H+4UA:V5F:6QE(#P\("=A-V4P.3<X96,R8V0T
M,34Q-3=B-F4R.&-F,V%F,V4P9"<*6"TM+2!-86ME9FEL92YO<FEG"3(P,#DM
M,#(M,#<@,#`Z-#`Z-3`N.#8T-#$T,S,Q("LP,#`P"E@K*RL@36%K969I;&4)
M,C`P.2TP,BTP-R`P,3HR,SHS,BXV-34S.#0V.3(@*S`P,#`*6$!`("TQ+#,Q
M("LQ+#(V($!`"E@@(R!'3E4@36%K969I;&4@9F]R(&-C;&EV92X*6"`*6"U3
M2$5,3"`]("]B:6XO<V@*6"T*6"`N4U5&1DE815,Z"E@@+E-51D9)6$53.B`N
M8R`N;PI8(`I8+7!R969I>"`@("`@(#T@)"A(3TU%*0I8*W!R969I>"`@("`@
M(#T@)"A04D5&25@I"E@@8FEN9&ER("`@("`@/2`D*'!R969I>"DO8FEN"E@@
M97AE8U]P<F5F:7@@/2`D*'!R969I>"D*6"!D871A<F]O=&1I<B`]("0H<')E
M9FEX*2]S:&%R90I8(&1A=&%D:7(@("`@(#T@)"AD871A<F]O=&1I<BD*6"UM
M86YD:7(@("`@("`]("0H9&%T87)O;W1D:7(I+VUA;@I8*VUA;F1I<B`@("`@
M(#T@)"A-04Y04D5&25@I+VUA;@I8(&UA;C%D:7(@("`@(#T@)"AM86YD:7(I
M+VUA;C$*6"`*6"U#0R`@("`@("`@("`](&-C"E@@4DT@("`@("`@("`@/2!R
M;2`M9@I8+4E.4U1!3$P@("`@(#T@:6YS=&%L;"`M8PI8+4E.4U1!3$Q?1"`@
M(#T@:6YS=&%L;"`M9`I8+4E.4U1!3$Q?32`@(#T@:6YS=&%L;`I8*TE.4U1!
M3$P@("`@(#T@)"A"4T1?24Y35$%,3%]04D]'4D%-*0I8*TE.4U1!3$Q?1"`@
M(#T@;6MD:7(@+7`*6"M)3E-404Q,7TT@("`]("0H0E-$7TE.4U1!3$Q?34%.
M*0I8(%5.04U%("`@("`@(#T@=6YA;64*6"!!5TL@("`@("`@("`](&%W:PI8
M($-54DQ?0T].1DE'(#T@8W5R;"UC;VYF:6<*6"!'14Y'151/4%0@("`](&=E
M;F=E=&]P=`I8(%!/1#)-04X@("`@(#T@<&]D,FUA;@I8(`I8+5=)5$A?34%.
M("`@(#T@>65S"E@M"E@@:69N9&5F(%8*6"!154E%5%]#0R`@("`@("`@/2!`
M96-H;R`G("`G($-#("1`.PI8(%%524547TQ)3DL@("`@("`]($!E8VAO("<@
M("<@3$E.2R`D0#L*6$!`("TS.2PQ,2`K,S0L.2!`0`I8($-54DQ?0T9,04=3
M("`Z/2`D*'-H96QL('-H("UC("(D*$-54DQ?0T].1DE'*2`M+6-F;&%G<R(I
M"E@@0U523%],1$9,04=3(#H]("0H<VAE;&P@<V@@+6,@(B0H0U523%]#3TY&
M24<I("TM;&EB<R(I"E@@"E@M0T9,04=3("`@("`@/2`M9R`M5V%L;`I8($%,
M3%]#1DQ!1U,@(#T@+41?1TY57U-/55)#12`M1$]33D%-13U<(B0H3U-?3D%-
M12E<(B`M22X@)"A#1DQ!1U,I"E@@04Q,7T-&3$%'4R`K/2`D*$-54DQ?0T9,
M04=3*0I8(`I8+4Q$1DQ!1U,@("`@(#T*6"!!3$Q?3$1&3$%'4R`]("0H3$1&
M3$%'4RD*6"!!3$Q?3$1&3$%'4R`K/2`D*$-54DQ?3$1&3$%'4RD*6"`*83=E
D,#DW.&5C,F-D-#$U,34W8C9E,CAC9C-A9C-E,&0*97AI=`H*
`
end
Comment 7 legatvs 2009-02-07 19:37:11 UTC
At least the shar looks decent now. Sorry about the spam.
Comment 8 dfilter freebsd_committer 2009-02-09 17:21:41 UTC
nivit       2009-02-09 17:21:25 UTC

  FreeBSD ports repository

  Modified files:
    multimedia           Makefile 
  Added files:
    multimedia/cclive    Makefile distinfo pkg-descr 
    multimedia/cclive/files patch-Makefile 
  Log:
  cclive is a command line video extraction utility similar to clive but
  focused on low requirements. Its features are few and essential. cclive
  supports Youtube, GoogleVideo, Break, Liveleak, Sevenload, EvisorTV and
  Dailymotion.
  
  WWW: http://code.google.com/p/cclive/
  
  PR:             ports/131269
  Submitted by:   Toni Gundogdu <legatvs at gmail.com>
  
  Revision  Changes    Path
  1.300     +1 -0      ports/multimedia/Makefile
  1.1       +30 -0     ports/multimedia/cclive/Makefile (new)
  1.1       +3 -0      ports/multimedia/cclive/distinfo (new)
  1.1       +52 -0     ports/multimedia/cclive/files/patch-Makefile (new)
  1.1       +6 -0      ports/multimedia/cclive/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Nicola Vitale freebsd_committer 2009-02-09 17:22:30 UTC
State Changed
From-To: open->closed

New port added. Thanks!